summaryrefslogtreecommitdiff
path: root/.tools/init.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-25 18:38:36 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-25 18:38:36 +0300
commit69ca3f3bc6380e237a09c95d6c59413b8cc8a082 (patch)
treeb07fa4d0fc9d53859ecad819982e54b244e14cff /.tools/init.sh
parenta2b04fbd387c6e50210c02decb04548745e5a959 (diff)
downloadclientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.gz
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.bz2
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.tar.xz
clientdata-69ca3f3bc6380e237a09c95d6c59413b8cc8a082.zip
Fix check_error function.
Diffstat (limited to '.tools/init.sh')
-rwxr-xr-x.tools/init.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/.tools/init.sh b/.tools/init.sh
index a2bda610..0315f39a 100755
--- a/.tools/init.sh
+++ b/.tools/init.sh
@@ -16,7 +16,7 @@ function gitclone {
git clone $*
fi
fi
- check_error
+ check_error $?
}
function aptget_update {
@@ -29,7 +29,7 @@ function aptget_update {
apt-get update
fi
fi
- check_error
+ check_error $?
}
function aptget_install {
@@ -42,12 +42,12 @@ function aptget_install {
apt-get -y -qq install $*
fi
fi
- check_error
+ check_error $?
}
function clientdata_init {
mkdir shared
cd ..
ln -s clientdata client-data
- check_error
+ check_error $?
}